#pragma once
//////////////////////////////////////////////////////////////////////
// mobile.h: interface for the Mobile class.
// -Kyoung Shin Park (2014 Spring)
//////////////////////////////////////////////////////////////////////
#include "moglclass.h"
#include "geometryPositionColor.h"
#include "shaders.h"
#include <glm/gtc/type_ptr.hpp>
#include <glm/gtc/matrix_transform.hpp>

namespace moglclass
{

class SimpleMobile
{
public:
	SimpleMobile();
	~SimpleMobile();
	void init();
    void draw(Program* p, glm::mat4& projection, glm::mat4& view, glm::mat4& model);
	bool update(float dt);

	void activate() { active = true; }
	void deactivate() { active = false; }
	bool isActive() { return active; }

protected:
	GeometryPositionColor* mobile[8];
	
	glm::vec3 position;
	float direction; // positive/negative direction
	float angle;// wheel angle

	glm::mat4 bodyTransform;
	glm::mat4 wheelTransform[4];

	bool active;
};

} // moglclass namespace