//////////////////////////////////////////////////////////////////////
// simpleTreer.cpp: implementation for the Simple Solar System class (Hierarchical Transformation).
// -Kyoung Shin Park (2016 Spring)
//////////////////////////////////////////////////////////////////////
#include "SimpleTree.h"

namespace moglclass
{

SimpleTree::SimpleTree()
{
	init();
}

SimpleTree::~SimpleTree()
{
}

void SimpleTree::init()
{
	body[0] = Cylinder(glm::vec3(0, 0, 0), 1.0f, 1.0f, 3.0f, 16);
	body[0].setColor(glm::vec3(0.0f, 0.0f, 1.0f));
	body[1] = Cylinder(glm::vec3(0, 3, 0), 3.0f, 0.0f, 2.0f, 16);
	body[1].setColor(glm::vec3(0.0f, 1.0f, 0.0f));
	body[2] = Cylinder(glm::vec3(0, 5, 0), 2.0f, 0.0f, 1.0f, 16);
	body[2].setColor(glm::vec3(0.0f, 1.0f, 1.0f));
}

void SimpleTree::draw(Program* p, glm::mat4& projection, glm::mat4& view, glm::mat4& model)
{
	p->useProgram();
	p->setUniform("gProjection", projection);
	p->setUniform("gView", view);

	glm::mat4 mMatrix = model;
	p->setUniform("gModel", mMatrix);
	body[0].draw();
	body[1].draw();
	body[2].draw();
}

bool SimpleTree::update(float deltaTime)
{

	return true;
}

}