#pragma once
//////////////////////////////////////////////////////////////////////
// car.h: interface for the Car class.
// -Kyoung Shin Park (2014 Spring)
//////////////////////////////////////////////////////////////////////
#include "moglclass.h"
#include "geometryPositionColor.h"
#include "shaders.h"
#include <glm/gtc/type_ptr.hpp>
#include <glm/gtc/matrix_transform.hpp>

namespace moglclass
{

	class SimpleTree
	{
	public:
		SimpleTree();
		~SimpleTree();
		void init();
		void draw(Program* p, glm::mat4& projection, glm::mat4& view, glm::mat4& model);
		bool update(float dt);
		void activate() { active = true; }
		void deactivate() { active = false; }

	protected:
		bool active;
		glm::vec3 position;
		glm::mat4 bodyTransform;

		Cylinder body[3];
	};

}

